Package: org.codehaus.groovy.transform.sc

## [Java] Class ListOfExpressionsExpression

- org.codehaus.groovy.transform.sc.ListOfExpressionsExpression

-     public class ListOfExpressionsExpression
      extends Expression

  This class is used internally by the compiler to transform expressions like multiple assignments into a list of assignments.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ListOfExpressionsExpression()` Creates an empty list-backed expression container.
    `ListOfExpressionsExpression(List<Expression> expressions)` Creates a container for the supplied expressions.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addExpression(Expression expression)` Appends an expression to this container.
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)` Transforms each contained expression with the supplied transformer.
    `` | `public void` | `visit(GroovyCodeVisitor visitor)` Visits each contained expression in declaration order.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public ListOfExpressionsExpression()

      Creates an empty list-backed expression container.

    - #### public ListOfExpressionsExpression(List<Expression> expressions)

      Creates a container for the supplied expressions.

      Parameters:
        `expressions` - the expressions to visit as a group

  - ### Method Detail

    - #### public void addExpression(Expression expression)

      Appends an expression to this container.

      Parameters:
        `expression` - the expression to add

    - #### public Expression transformExpression(ExpressionTransformer transformer)

      Transforms each contained expression with the supplied transformer.

      Parameters:
        `transformer` - the expression transformer to apply
      Returns:
        a container holding the transformed expressions

    - #### public void visit(GroovyCodeVisitor visitor)

      Visits each contained expression in declaration order.

      Parameters:
        `visitor` - the visitor to accept